Subject: Re: git revert --continue --no-verify

From: Taylor Blau <[email-masked]>
Date: Wed, 4 Aug 2021 21:40:11 -0400

On Wed, Aug 04, 2021 at 07:14:34PM +0100, Phillip Wood wrote:
> [...] I wouldn't be opposed to someone adding support for --no-verify
> (and --no-edit) to "cherry-pick/revert/rebase --continue" on the
> understanding that it only applied when committing the conflict
> resolution. There is a possible confusion for users though who might
> expect that the options passed with '--continue' applied to all the
> commits made by the command.

Yeah, that feels like we are just trying to confuse the user ;). So I
agree that I'd rather not go any further along that direction.

> do_commit() does not change the flags that it is called with - callers that
> want VERIFY_MSG will set that before they call do_commit(). do_commit() is
> there to commit simple picks without forking 'git commit'
>
> > So I suspect that this is an oversight, but perhaps somebody more
> > familiar with this code could confirm my thinking.
>
> I hope the above helps - basically the idea is "if the commit has been
> edited use VERIFY_MSG" and --continue unhelpfully uses a completely
> different code-path to the main commit picking/reverting loop.

Makes sense, thanks.

Taylor